com.jscape.inet.gateway.operation.email

## Enum EmailServiceConfiguration.ConnectionType

- java.lang.Object
- - java.lang.Enum<EmailServiceConfiguration.ConnectionType>
  - - com.jscape.inet.gateway.operation.email.EmailServiceConfiguration.ConnectionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EmailServiceConfiguration.ConnectionType>
  Enclosing class:
    EmailServiceConfiguration

      public static enum EmailServiceConfiguration.ConnectionType
      extends java.lang.Enum<EmailServiceConfiguration.ConnectionType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PLAIN`
    `SSL`
    `START_TLS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EmailServiceConfiguration.ConnectionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EmailServiceConfiguration.ConnectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PLAIN

          public static final EmailServiceConfiguration.ConnectionType PLAIN

    - #### SSL

          public static final EmailServiceConfiguration.ConnectionType SSL

    - #### START_TLS

          public static final EmailServiceConfiguration.ConnectionType START_TLS

  - ### Method Detail

    - #### values

          public static EmailServiceConfiguration.ConnectionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EmailServiceConfiguration.ConnectionType c : EmailServiceConfiguration.ConnectionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EmailServiceConfiguration.ConnectionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © Advanced Systems Concepts Inc. 2009-2021. All Rights Reserved